## org.eclipse.emf.ecore.impl
Class EOperationImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.ETypedElementImpl
                                  org.eclipse.emf.ecore.impl.EOperationImpl

All Implemented Interfaces:
  Notifier, EModelElement, ENamedElement, EObject, EOperation, ETypedElement, InternalEObject

    public class EOperationImpl

extends ETypedElementImpl
implements EOperation

An implementation of the model object 'EOperation'.

The following features are implemented:

- `EContaining Class`
- `EType Parameters`
- `EParameters`
- `EExceptions`
- `EGeneric Exceptions`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected EList<EClassifier>` `eExceptions` The cached value of the '`EExceptions`' reference list
`protected EList<EGenericType>` `eGenericExceptions` The cached value of the '`EGeneric Exceptions`' containment reference list
`protected EList<EParameter>` `eParameters` The cached value of the '`EParameters`' containment reference list
`protected EList<ETypeParameter>` `eTypeParameters` The cached value of the '`EType Parameters`' containment reference list

Fields inherited from class org.eclipse.emf.ecore.impl.ETypedElementImpl
`eGenericType, eType, LOWER_BOUND_EDEFAULT, lowerBound, MANY_EDEFAULT, ORDERED_EDEFAULT, ORDERED_EFLAG, REQUIRED_EDEFAULT, UNIQUE_EDEFAULT, UNIQUE_EFLAG, UPPER_BOUND_EDEFAULT, upperBound`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eProxyURI`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.ETypedElement
`UNBOUNDED_MULTIPLICITY, UNSPECIFIED_MULTIPLICITY`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `EOperationImpl()`

Method Summary
`NotificationChain` `eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`protected void` `freeze()`
`EClass` `getEContainingClass()`
`EList<EClassifier>` `getEExceptions()` Returns the value of the 'EExceptions' reference list.
`EList<EGenericType>` `getEGenericExceptions()`
`EList<EParameter>` `getEParameters()`
`EList<ETypeParameter>` `getETypeParameters()`
`boolean` `isSetEExceptions()`
`boolean` `isSetEGenericExceptions()`
`void` `unsetEExceptions()`
`void` `unsetEGenericExceptions()`

Methods inherited from class org.eclipse.emf.ecore.impl.ETypedElementImpl
`basicGetEType, basicSetEGenericType, basicUnsetEGenericType, getEGenericType, getEType, getLowerBound, getUpperBound, isMany, isOrdered, isRequired, isSetEGenericType, isSetEType, isUnique, setEGenericType, setEGenericType, setEType, setEType, setLowerBound, setOrdered, setUnique, setUpperBound, toString, unsetEGenericType, unsetEType`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProperties, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.ETypedElement
`getEGenericType, getEType, getLowerBound, getUpperBound, isMany, isOrdered, isRequired, isUnique, setEGenericType, setEType, setLowerBound, setOrdered, setUnique, setUpperBound`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### eTypeParameters

    protected EList<ETypeParameter> eTypeParameters

  The cached value of the '`EType Parameters`' containment reference list.

  See Also:
    `getETypeParameters()`

### eParameters

    protected EList<EParameter> eParameters

  The cached value of the '`EParameters`' containment reference list.

  See Also:
    `getEParameters()`

### eExceptions

    protected EList<EClassifier> eExceptions

  The cached value of the '`EExceptions`' reference list.

  See Also:
    `getEExceptions()`

### eGenericExceptions

    protected EList<EGenericType> eGenericExceptions

  The cached value of the '`EGeneric Exceptions`' containment reference list.

  See Also:
    `getEGenericExceptions()`

Constructor Detail

### EOperationImpl

    protected EOperationImpl()

Method Detail

### freeze

    protected void freeze()

  Overrides:
    `freeze` in class `ETypedElementImpl`

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `ETypedElementImpl`

### getEContainingClass

    public EClass getEContainingClass()

  Specified by:
    `getEContainingClass` in interface `EOperation`
  Returns:
    the value of the 'EContaining Class' container reference.
  See Also:
    `EcorePackage.getEOperation_EContainingClass()`, `EClass.getEOperations()`

### getEParameters

    public EList<EParameter> getEParameters()

  Specified by:
    `getEParameters` in interface `EOperation`
  Returns:
    the value of the 'EParameters' containment reference list.
  See Also:
    `EcorePackage.getEOperation_EParameters()`, `EParameter.getEOperation()`

### getEExceptions

    public EList<EClassifier> getEExceptions()

  Description copied from interface: `EOperation`
  Returns the value of the 'EExceptions' reference list. The list contents are of type `EClassifier`.

  It represents the exceptions thrown by this operation and is derived from the `generic exceptions`.

  Specified by:
    `getEExceptions` in interface `EOperation`
  Returns:
    the value of the 'EExceptions' reference list.
  See Also:
    ``, `EcorePackage.getEOperation_EExceptions()`

### unsetEExceptions

    public void unsetEExceptions()

### isSetEExceptions

    public boolean isSetEExceptions()

### getEGenericExceptions

    public EList<EGenericType> getEGenericExceptions()

  Specified by:
    `getEGenericExceptions` in interface `EOperation`
  Returns:
    the value of the 'EGeneric Exceptions' containment reference list.
  See Also:
    `EOperation.getEExceptions()`, `EcorePackage.getEOperation_EGenericExceptions()`

### unsetEGenericExceptions

    public void unsetEGenericExceptions()

### isSetEGenericExceptions

    public boolean isSetEGenericExceptions()

### getETypeParameters

    public EList<ETypeParameter> getETypeParameters()

  Specified by:
    `getETypeParameters` in interface `EOperation`
  Returns:
    the value of the 'EType Parameters' containment reference list.
  See Also:
    `EcorePackage.getEOperation_ETypeParameters()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `EModelElementImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `ETypedElementImpl`

### eBasicRemoveFromContainerFeature

    public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `ETypedElementImpl`
  See Also:
    `InternalEObject.eGet(EStructuralFeature, boolean, boolean)`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `ETypedElementImpl`
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `ETypedElementImpl`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `ETypedElementImpl`
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.